Zend 10.5 Plug-ins

General discussion on Zend Studio
Post Reply
rona7728
Posts: 1
Joined: Wed Mar 26, 2014 7:37 pm

Zend 10.5 Plug-ins

Post by rona7728 » Wed Mar 26, 2014 7:46 pm

I have just recently installed Zend Studio 10.5 on my Mac which is running OS 10.9.2. I am able to run Zend Studio OK. However whenever I try to install any Plug-in, I get the following error message. Please advise how to fix this problem

An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: binary,com.zend.php.ide.executable.cocoa.macosx.x86_64,10.5.0.v20131105-1526-86

User avatar
natalia_b_zend
Posts: 366
Joined: Wed Jan 25, 2012 5:51 pm

Re: Zend 10.5 Plug-ins

Post by natalia_b_zend » Thu Mar 27, 2014 12:57 pm

We had a technical problem with our update site, but it's fixed already. To make sure all will be working for you please follow the steps below:

#1 If you have version 10.5.0 - you will get automatic update notification about version 10.5.1 available. Allow for an update to 10.5.1.

If you don't get the notification, you should reload update site:
Help > Install New Software > Available Update Sites>
select
http://downloads.zend.com/studio-eclips ... extra/10_5
and click Reload,
select
http://downloads.zend.com/studio-eclipse/updates/10_5
and click Reload.

#2 Once version 10.5.1 is installed, you need to manually change entry in <Studio_home>/configuration/config.ini:
from:
com.zend.php.customization.site.url=http\://downloads.zend.com/studio-eclipse/updates-extra
to
com.zend.php.customization.site.url=http\://downloads.zend.com/studio-eclipse/updates-extra/10_5

After restart you will be able to install extra features.

#3 To stop getting automatic notifications about 10.6 update available (if you don't want to upgrade or don't have a license) you should disable automatic updates notification in Preferences > Install/Update > Automatic Updates.

Apologies for this inconvenience. We'll make sure this all works out of the box for future releases.
Natalia Bartol
Zend Studio Team

andr2366
Posts: 2
Joined: Sun May 18, 2014 4:29 pm

Re: Zend 10.5 Plug-ins

Post by andr2366 » Sun May 18, 2014 4:30 pm

I seem to be having this same issue while running 10.6. My message is slightly different in the version at the end. Any suggestions?

No repository found containing: binary,com.zend.php.ide.executable.cocoa.macosx.x86_64,10.6.1.v20140121-20140329-2132-194

User avatar
natalia_b_zend
Posts: 366
Joined: Wed Jan 25, 2012 5:51 pm

Re: Zend 10.5 Plug-ins

Post by natalia_b_zend » Mon May 19, 2014 8:06 pm

andr2366, have you tried to 'Reload' update sites (please follow the steps I described in #1)?
Natalia Bartol
Zend Studio Team

Post Reply